<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
    PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.demo.mapper.ExposureMapper">

    <select id="selectTotalCountByItemIds" resultType="java.lang.Integer">
        SELECT
            SUM(exposure_count)
        FROM
            `dl_exposure`
        <where>
            <foreach collection="itemIds" item="id" open="WHERE item_id in (" separator="," close=")">
                #{id,jdbcType=VARCHAR}
            </foreach>
        </where>
    </select>
</mapper>
